get
https://api.rotowire.com/Basketball/NBA/News/Archive.php
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
date | string | No | Filter news archive by date (YYYY-MM-DD). |
Attributes
Top-Level Fields
| Field | Type | Description |
|---|---|---|
League | string | |
StartDate | string | |
EndDate | string | |
Updates | array |
Updates Object
| Field | Type | Description |
|---|---|---|
Id | string | |
DateTime | string | |
Priority | string | |
Headline | string | |
Notes | string | |
Analysis | string | |
Injury | object | |
Player | object | |
Team | object |
Example Response
{
"League": "NBA",
"StartDate": "2026-05-14",
"EndDate": "2026-05-14",
"Updates": [
{
"Id": "530621",
"DateTime": "2026-05-14T00:40:49-07:00",
"Priority": "3",
"Headline": "Drops 20 points in Game 5 win",
"Notes": "Strus chipped in 20 points (6-8 FG, 6-8 3Pt, 2-2 FT), eight rebounds, one assist, one block and one steal across 36 minutes during Wednesday's 117-113 overtime win over the Pistons in Game 5 of the Eastern Conference Semifinals.",
"Analysis": null,
"Injury": {
"Type": null,
"Location": null,
"Detail": null,
"Side": null
},
"Player": {
"FirstName": "Max",
"LastName": "Strus",
"Position": "F ",
"InjuryStatus": null,
"Link": "https://www.rotowire.com/basketball/player/max-strus-4947",
"Id": "4947"
},
"Team": {
"Name": "Cleveland Cavaliers",
"Nickname": "Cavaliers",
"Id": "11",
"Code": "CLE"
}
}
]
}